aboutsummaryrefslogtreecommitdiffstats
path: root/main/sox
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/sox
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/sox')
-rw-r--r--main/sox/APKBUILD37
-rw-r--r--main/sox/sox-uclibc.patch22
2 files changed, 59 insertions, 0 deletions
diff --git a/main/sox/APKBUILD b/main/sox/APKBUILD
new file mode 100644
index 0000000000..166d08b256
--- /dev/null
+++ b/main/sox/APKBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=sox
+pkgver=14.3.0
+pkgrel=0
+pkgdesc="The Swiss Army knife of sound processing tools"
+url="http://sox.sourceforge.net/"
+license="GPL LGPL"
+makedepends="ffmpeg-dev libao-dev libvorbis-dev libogg-dev lame-dev
+ libmad-dev bash alsa-lib-dev libsndfile-dev libsamplerate-dev
+ libtool file-dev libid3tag-dev"
+depends=
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz
+ sox-uclibc.patch"
+
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ patch -p1 -i ../sox-uclibc.patch
+}
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --with-dyn-default \
+ --with-distro="Alpine Linux" || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+ ln -sf play "$pkgdir"/usr/bin/rec || return 1
+ ln -sf ../man1/sox.1.gz "$pkgdir"/usr/share/man/man7/soxeffect.7
+}
+md5sums="8e3509804e6227273ef84092e1a2fea7 sox-14.3.0.tar.gz
+d8267f718ba6b4fb2f48c5104af31364 sox-uclibc.patch"
diff --git a/main/sox/sox-uclibc.patch b/main/sox/sox-uclibc.patch
new file mode 100644
index 0000000000..fb78cd0968
--- /dev/null
+++ b/main/sox/sox-uclibc.patch
@@ -0,0 +1,22 @@
+diff --git a/src/formats.c b/src/formats.c
+index 556f611..6c2c5b0 100644
+--- a/src/formats.c
++++ b/src/formats.c
+@@ -395,7 +395,7 @@ static void UNUSED rewind_pipe(FILE * fp)
+ #if defined _NEWLIB_VERSION || defined __APPLE__
+ fp->_p -= AUTO_DETECT_SIZE;
+ fp->_r += AUTO_DETECT_SIZE;
+-#elif defined __GLIBC__
++#elif defined __GLIBC__ && ! defined __UCLIBC__
+ fp->_IO_read_ptr = fp->_IO_read_base;
+ #elif defined _MSC_VER || defined __MINGW_H || defined _ISO_STDIO_ISO_H
+ fp->_ptr = fp->_base;
+@@ -403,7 +403,7 @@ static void UNUSED rewind_pipe(FILE * fp)
+ /* To fix this #error, either simply remove the #error line and live without
+ * file-type detection with pipes, or add support for your compiler in the
+ * lines above. Test with cat monkey.au | ./sox --info - */
+- #error FIX NEEDED HERE
++/* #error FIX NEEDED HERE */
+ #define NO_REWIND_PIPE
+ (void)fp;
+ #endif